Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.living
Class LivingDropsEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.living.LivingDropsEvent

Direct Known Subclasses:
  PlayerDropsEvent

    public class LivingDropsEvent

extends LivingEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`ArrayList<EntityItem>` | `drops`
`int` | `lootingLevel`
`boolean` | `recentlyHit`
`DamageSource` | `source`
`int` | `specialDropValue`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`LivingDropsEvent(EntityLiving entity, DamageSource source, ArrayList<EntityItem> drops, int lootingLevel, boolean recentlyHit, int specialDropValue)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    public final DamageSource source

### drops

    public final ArrayList<EntityItem> drops

### lootingLevel

    public final int lootingLevel

### recentlyHit

    public final boolean recentlyHit

### specialDropValue

    public final int specialDropValue

Constructor Detail

### LivingDropsEvent

    public LivingDropsEvent(EntityLiving entity,
                            DamageSource source,
                            ArrayList<EntityItem> drops,
                            int lootingLevel,
                            boolean recentlyHit,
                            int specialDropValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD